Skip to main content
GET
/
categories
List categories
curl --request GET \
  --url https://int-data.moneydesktop.com/categories \
  --header 'MD-SESSION-TOKEN: <api-key>'
{
  "categories": [
    {
      "created_at": "2015-04-13T12:01:23.000Z",
      "guid": "CAT-de7c2dc7-90e6-85a2-6509-5ec10942e887",
      "is_default": true,
      "is_income": true,
      "metadata": "Additional information",
      "name": "Auto Insurance",
      "parent_guid": "CAT-7829f71c-2e8c-afa5-2f55-fa3634b89874",
      "updated_at": "2015-04-13T12:01:23.000Z"
    }
  ]
}
This returns an array of all the categories that users can choose from, including custom user-created categories.

Authorizations

MD-SESSION-TOKEN
string
header
required

MX Session Token

  • Request an API token using the read API token endpoint in the MX SSO API.
  • Exchange an API token for a session token.
    • A session token is obtained by sending a POST request to /sessions
    • The session token will be used in each request made for the user. It should be passed in an MD-SESSION-TOKEN HTTP header as shown below.
    • This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
    • If you send a request with an expired session token you'll receive an error code of 4011.
curl -i https://int-data.moneydesktop.com/accounts \
-H 'MD-SESSION-TOKEN: CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg' \
-H 'Content-Type: application/vnd.mx.nexus.v1+json' \
-H 'Accept: application/vnd.mx.nexus.v1+json'

In documentation code examples, replace <API_KEY_VALUE> with the session token.

Response

200 - application/vnd.mx.nexus.v1+json

OK

categories
object[]